### Function

# ICalGLib VcardValue dequote_text

since: 4.0

#### Declaration [src]

    gchar*
    i_cal_vcard_value_dequote_text (
      const gchar** text,
      const gchar* separators
    )

#### Description [src]

Dequotes the text in `text` and advanced the pointer after the end of the read text. The reading stops either at the end of the `text` or when any of the letters from the `separators` is reached unescaped.

Available since: 4.0

This function is not directly available to language bindings.

#### Parameters

`text`

  Type: `const gchar**`

  Pointer to a string to dequote.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`separators`

  Type: `const gchar*`

  A string with separators, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A TEXT property, dequoted from the `text`, or `NULL` if failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.